> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Template Detail

> Retrieve detailed information about a specific template including its metadata, enabled channels, and version info.



## OpenAPI

````yaml GET /v2/{workspace}/template/{template_slug}/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v2/{workspace}/template/{template_slug}/:
    get:
      summary: Get Template Detail
      description: >-
        Retrieve detailed information about a specific template including its
        metadata, enabled channels, and version info.
      operationId: get-template-v2
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug.
        - in: path
          name: template_slug
          required: true
          schema:
            type: string
          description: Unique template slug.
        - in: query
          name: mode
          schema:
            type: string
            enum:
              - draft
              - live
            default: draft
          description: Return draft or live version.
      responses:
        '200':
          description: Template details retrieved successfully
          content:
            application/json:
              schema:
                type: object
              example:
                $schema: https://schema.suprsend.com/template/v2/schema.json
                slug: order-confirmed
                created_at: '2026-04-01T05:57:21.081312Z'
                last_triggered_at: null
                name: Order Confirmed
                description: null
                tags: []
                enabled_channels:
                  - email
                status: active
                version_no: 1
                hash: >-
                  16abf987215a02b655d5ef6a8f7f8cc150ffb03fd83b6c235d6c4cc2070ec170
                commit_message: null
                active_at: '2026-04-01T09:22:02.382889Z'
                updated_at: '2026-04-01T09:22:02.386223Z'
                updated_by:
                  name: Sam Wilson
                  email: sam.wilson@example.com
                channels:
                  - channel: email
                    is_active: true
                    variants_count: 1
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          description: Template not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  error_code:
                    type: string
                  type:
                    type: string
                  message:
                    type: string
                  detail:
                    type: string
              example:
                code: 404
                error_code: not_found
                type: NotFound
                message: 'template (slug: ''order-confirmed'') not found'
                detail: 'template (slug: ''order-confirmed'') not found'
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: Get Template
          source: >
            curl -X GET
            "https://management-api.suprsend.com/v2/{workspace}/template/{template_slug}/?mode=live"
            \
              --header 'Authorization: ServiceToken <token>'
components:
  responses:
    AuthenticationError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            error_code: authentication_failed
            type: AuthenticationFailed
            message: Invalid service token.
            detail: Invalid service token.
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code
        error_code:
          type: string
          description: Specific error code identifier
        type:
          type: string
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        detail:
          type: string
          description: Additional error details
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````